<?php

use Drupal\Core\Url;

function template_preprocess_edlp_corpus_collection(&$vars){
  $term_view_builder = \Drupal::entityTypeManager()->getViewBuilder('taxonomy_term');

  if(isset($vars['entrees_terms'])){
    $entrees = array(
      '#type'=>"container",
      // '#attributes' => array(
      //   'id' => array('collection'),
      // ),
      '#prefix' => '<div id="collection"></div>',
      'title'=>array(
        '#markup'=>"<h3>".t("Collection")."</h3>",
      ),
      'list'=> array(
        '#theme' => 'item_list',
        '#items' => [],
      ),
    );
    foreach($vars['entrees_terms'] as $term){
      $entrees['list']['#items'][] = $term_view_builder->view($term, 'home_mobile');
    }
    $vars['entrees'] = render($entrees);
  }

}
